For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList products
      • POSTCreate a product
      • GETGet product by ID
      • PUTUpdate product (full)
      • DELDelete product
      • PATCHUpdate product (partial)
Calculator
LogoLogo
EndpointsProducts

Update product (full)

PUT
https://api.finput.com.au/api/v1/products/:id
PUT
/api/v1/products/:id
$curl -X PUT https://api.finput.com.au/api/v1/products/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "product_name": "Business Equipment Loan"
>}'
200Updated
1{
2 "message": "message",
3 "data": {
4 "id": 1,
5 "product_name": "product_name",
6 "organisation_id": 1,
7 "min_range": 1,
8 "max_range": 1,
9 "min_amount": 1.1,
10 "max_amount": 1.1,
11 "min_abn_age": 1,
12 "max_abn_age": 1,
13 "min_asset_age": 1,
14 "max_asset_age": 1,
15 "min_gst_age": 1,
16 "max_gst_age": 1,
17 "min_asset_age_plus_term": 1,
18 "max_asset_age_plus_term": 1,
19 "min_credit_score": 1,
20 "max_credit_score": 1,
21 "monthly_fee": 1.1,
22 "documentation_fee": 1.1,
23 "brokerage_cap": 1.1,
24 "maximum_brokerage_limit": 1.1,
25 "compounding_frequency": "w",
26 "brokerage_loading_treatment": 1.1,
27 "max_origination_fee_limit": 1.1,
28 "doc_fee_financed": "yes",
29 "private_sale": "yes",
30 "sale_hire_back": "yes",
31 "home_owner": "yes",
32 "created_at": "2024-01-15T09:30:00Z",
33 "updated_at": "2024-01-15T09:30:00Z"
34 }
35}
Was this page helpful?
Previous

Delete product

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
product_namestringRequired
organisation_idintegerOptional
min_rangeintegerOptional
max_rangeintegerOptional
min_amountdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_amountdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
min_abn_ageintegerOptional
max_abn_ageintegerOptional
min_asset_ageintegerOptional
max_asset_ageintegerOptional
min_gst_ageintegerOptional
max_gst_ageintegerOptional
min_asset_age_plus_termintegerOptional
max_asset_age_plus_termintegerOptional
min_credit_scoreintegerOptional
max_credit_scoreintegerOptional
monthly_feedoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
documentation_feedoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
brokerage_capdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
maximum_brokerage_limitdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
compounding_frequencyenumOptional

Compounding frequency:

  • w - Weekly
  • m - Monthly
  • q - Quarterly
  • y - Yearly
Allowed values:
brokerage_loading_treatmentdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
max_origination_fee_limitdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
doc_fee_financedenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:
private_saleenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:
sale_hire_backenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:
home_ownerenumOptional

Tri-state choice for product/rate bracket feature flags

Allowed values:

Response

Product updated
messagestring
dataobject